{
    "DSP memory map": [
        [
            "L4PER",
            {
                "addr": 0x49000000,
                "type": "other",
                "size": 0x00100000,
            },
        ],
        [
            "DDR2",
            {
                "addr": 0x87D00000,
                "type": "main",
                "size": 0x00300000,
            },
        ],
        [
            "IRAM",
            {
                "addr": 0x107F8000,
                "type": "code",
                "size": 0x00008000,
                "gppAddr": 0x5C7F8000,
            },
        ],
        [
            "L1DSRAM",
            {
                "addr": 0x10F04000,
                "type": "code",
                "size": 0x00010000,
                "gppAddr": 0x5CF04000,
            },
        ],
        [
            "RESET_VECTOR",
            {
                "addr": 0x87300000,
                "type": "reset",
                "size": 128,
            },
        ],
        [
            "DDRALGHEAP",
            {
                "addr": 0x87400000,
                "type": "other",
                "size": 0x00900000,
            },
        ],
        [
            "L4CORE",
            {
                "addr": 0x48000000,
                "type": "other",
                "size": 0x01000000,
            },
        ],
        [
            "DSPLINKMEM",
            {
                "addr": 0x87300080,
                "type": "link",
                "size": 0x000FFF80,
            },
        ],
        [
            "CMEM",
            {
                "addr": 0,
                "type": "other",
                "size": 0,
            },
        ],
    ],
    "server algorithms": {
        "programName": "bin/server.x64P",
        "algs": [
            {
                "mod": "ti.sdo.ce.examples.codecs.auddec_copy.AUDDEC_COPY",
                "pkg": "ti.sdo.ce.examples.codecs.auddec_copy",
                "rpcProtocolVersion": 3,
                "ialgFxns": "AUDDECCOPY_TI_IAUDDECCOPY",
                "threadAttrs": {
                    "priority": 4,
                },
                "groupId": 2,
                "serverFxns": "AUDDEC_SKEL",
                "stubFxns": "AUDDEC_STUBS",
                "name": "auddec_copy",
                "pkgVersion": [
                    "1, 0, 0",
                ],
            },
            {
                "mod": "ti.sdo.ce.examples.codecs.audenc_copy.AUDENC_COPY",
                "pkg": "ti.sdo.ce.examples.codecs.audenc_copy",
                "rpcProtocolVersion": 3,
                "ialgFxns": "AUDENCCOPY_TI_AUDENCCOPY",
                "threadAttrs": {
                    "priority": 4,
                },
                "groupId": 2,
                "serverFxns": "AUDENC_SKEL",
                "stubFxns": "AUDENC_STUBS",
                "name": "audenc_copy",
                "pkgVersion": [
                    "1, 0, 0",
                ],
            },
            {
                "mod": "ti.sdo.ce.examples.codecs.viddec_copy.VIDDEC_COPY",
                "pkg": "ti.sdo.ce.examples.codecs.viddec_copy",
                "rpcProtocolVersion": 3,
                "ialgFxns": "VIDDECCOPY_TI_VIDDECCOPY",
                "threadAttrs": {
                    "priority": 2,
                },
                "groupId": 0,
                "serverFxns": "VIDDEC_SKEL",
                "stubFxns": "VIDDEC_STUBS",
                "name": "viddec_copy",
                "pkgVersion": [
                    "1, 0, 0",
                ],
            },
            {
                "mod": "ti.sdo.ce.examples.codecs.videnc_copy.VIDENC_COPY",
                "pkg": "ti.sdo.ce.examples.codecs.videnc_copy",
                "rpcProtocolVersion": 3,
                "idma3Fxns": null,
                "ialgFxns": "VIDENCCOPY_TI_VIDENCCOPY",
                "threadAttrs": {
                    "priority": 2,
                },
                "groupId": 0,
                "serverFxns": "VIDENC_SKEL",
                "stubFxns": "VIDENC_STUBS",
                "name": "videnc_copy",
                "pkgVersion": [
                    "1, 0, 0",
                ],
            },
        ],
    },
}
