###############################################################################
#                                                                             #
#   Absolute Paths must be set for each system, otherwise the gMake will not  #
#     be able to find the correct libraries and packages                      #
#                                                                             #
###############################################################################
#$(warning Now reading absolute path definitions from 'setpaths.mak')


############# Paths for TI Tools and Libraries ################################

# User's home location:  (i.e. /home/user)
HOME=/home/user

# Installation directory of the software development kit (may be same as above)
SDK_INSTALL_DIR=$(HOME)/ti-dvsdk_omap3530-evm_4_00_00_17

### TI libraries and framework locations ###

# Where the BIOS tools are installed
BIOS_INSTALL_DIR=$(SDK_INSTALL_DIR)/dspbios_5_41_03_17

# Where the Bios Utilities are installed
BIOSUTILS_INSTALL_DIR=$(SDK_INSTALL_DIR)/biosutils_1_02_02

# Where the Codec Engine package is installed.
CE_INSTALL_DIR=$(SDK_INSTALL_DIR)/codec-engine_2_25_05_16

# Where the CMEM (contiguous memory allocator) package is installed.
CMEM_INSTALL_DIR=$(SDK_INSTALL_DIR)/linuxutils_2_25_04_10

# Where the DSP Link package is installed.
DSPLINK_INSTALL_DIR=$(SDK_INSTALL_DIR)/dsplink_1_65_00_02

# Where the framework components are installed
FC_INSTALL_DIR=$(SDK_INSTALL_DIR)/framework-components_2_25_02_06

# Where the XDAIS package is installed.
XDAIS_INSTALL_DIR=$(SDK_INSTALL_DIR)/xdais_6_25_02_11

# Where the RTSC tools package is installed.
XDC_INSTALL_DIR=$(SDK_INSTALL_DIR)/xdctools_3_16_03_36

# Path/name of the XDC tool
XDC=$(XDC_INSTALL_DIR)/xdc

# Where the dmai library is installed
DMAI_INSTALL_DIR=$(SDK_INSTALL_DIR)/dmai_2_05_00_18

# Path to Linux Library headers (i.e. alsa.h)
LLIB_INSTALL_DIR=$(SDK_INSTALL_DIR)/linux-devkit/arm-none-linux-gnueabi/usr
LINUXLIBS_INSTALL_DIR=$(SDK_INSTALL_DIR)/linux-devkit/arm-none-linux-gnueabi/usr

# Where local power manager is installed
LPM_INSTALL_DIR=$(SDK_INSTALL_DIR)/local-power-manager_1_24_02_09

# Where c6accel package is installed.
C6ACCEL_INSTALL_DIR=$(SDK_INSTALL_DIR)/c6accel_1_00_00_04


### TI DSP Compiler ###

# Where the C6000 code generation tools are installed
C6000_CG=$(SDK_INSTALL_DIR)/cgt6x_6_1_14


###### Paths for x86 Linux (i.e. Ubuntu) #####################################

# Where the Linux x86 tools are installed
LINUX86_DIR=/usr

# Path to the Linux x86 gcc tool
LINUX86_GCC=$(LINUX86_DIR)/bin/gcc


####### Paths for Cortex-A8 (Code Sourcery toolchain)

CS_INSTALL_PATH=$(HOME)/CodeSourcery/Sourcery_G++_Lite
CS_GCC=$(CS_INSTALL_PATH)/bin/arm-none-linux-gnueabi-gcc 


###### Paths for Target's Filesystem #############################################
# Where the target board's filesystem is located. This is linked from the
# PSP directory in our first lab using something like:  
#      ln -s /home/user/psp_rebuild_omap3 /home/user/targetfs
TARGET_FS_DIR=$(HOME)/targetfs

# Where to copy the resulting executables and data to (when executing 'make
# install') in a proper file structure. This EXEC_DIR should either be visible
# from the target, or you will have to copy this (whole) directory onto the
# target filesystem.
EXEC_DIR=$(TARGET_FS_DIR)/opt/workshop

